## libdvdread2 0.9.3-2

=== debian/changelog ===
libdvdread2 (0.9.3-2) unstable; urgency=low

  * Use the upstream configure (enable the use of large file images).
  * Copy config.* files automagic.

 -- Mikael Hedin <micce@debian.org>  Mon, 26 Aug 2002 19:51:47 +0200

libdvdread2 (0.9.3-1) unstable; urgency=low

  * New upstream version (closes: #151708).
  * Adopt the package with permission from wolfie.
  * Fixed typo in description (closes: #150674).
  * Put info etc about css in this package instead of ogle.

 -- Mikael Hedin <micce@debian.org>  Sat, 27 Jul 2002 13:57:19 +0200

libdvdread2 (0.9.2-0.1) unstable; urgency=low

  * New upstream version (closes: #116870, #119581).
  * NMU with permission from wolfie.
  * Removed ldconfig from postinst and use dh_makeshlibs.

 -- Mikael Hedin <micce@debian.org>  Tue, 18 Dec 2001 16:08:19 +0100

libdvdread2 (0.9.1-5) unstable; urgency=low

  * Doh, actually close/fix 116929 (Closes: #116929)

 -- Brian Russo <wolfie@debian.org>  Thu,  1 Nov 2001 12:21:23 -1000

libdvdread2 (0.9.1-4) unstable; urgency=low

  * add casts to fix bugs in dvd_reader.c (Closes: #116828)
  * Fix auto* more mess (Closes: #116927)
  * Revert build-dep to 'regular' automake since 1.4 was epoch'ed
  * (Closes: #114884)

 -- Brian Russo <wolfie@debian.org>  Sun, 28 Oct 2001 10:10:29 -1000

libdvdread2 (0.9.1-3) unstable; urgency=low

  * We're not worthy.. we're not worthy...
  * Add automake build-dep 

 -- Brian Russo <wolfie@debian.org>  Wed, 17 Oct 2001 10:03:52 -1000

libdvdread2 (0.9.1-2) unstable; urgency=low

  * New branch (so2) due to incompatible API/ABI (Closes: #113407)
  * Use libdvdread1 for older stuff.. 
  * Should fix sparc problems (Closes: #110589)
  * Thanks to Eduard Bloch

 -- Brian Russo <wolfie@debian.org>  Sat,  6 Oct 2001 18:41:14 -1000

libdvdread (0.9.1-1) unstable; urgency=low

  * New upstream version
  * Added URI (Closes: #113157, #112291)
  * Fixed sparc re configure.in (Closes: #110589) 
  * Fix binary-arch target in rules (Closes: #112248, #112979) 

 -- Brian Russo <wolfie@debian.org>  Sun, 23 Sep 2001 15:21:24 -1000

libdvdread (0.8.0-3) unstable; urgency=low

  * Fix ia64 issue with patch supplied by tausq (see #104646).

 -- Brian Russo <wolfie@debian.org>  Tue, 28 Aug 2001 10:57:40 -1000

libdvdread (0.8.0-2) unstable; urgency=medium

  * Fixed make distclean problem. (closes: #103485, #103595, #104646)
  * Corrected shlibs (closes: #109739)
  
 -- Brian Russo <wolfie@debian.org>  Sun, 26 Aug 2001 10:45:40 -1000

libdvdread (0.8.0-1) unstable; urgency=low

  * Initial Release.

 -- Brian Russo <wolfie@debian.org>  Sat, 30 Jun 2001 01:10:54 +1100
