=== debian/control ===
Source: libdvdread2
Section: graphics
Priority: optional
Maintainer: Mikael Hedin <micce@debian.org>
Build-Depends: libtool (>= 1.4.2), debhelper (>> 2.0.0), autoconf, automake
Standards-Version: 3.5.2.0

Package: libdvdread2
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Conflicts: libdvdread1 (= 0.9.1-1)
Description: Simple foundation for reading DVDs.
 To allow applications to access some of the more advanced features
 of the DVD format, libdvdread offers:
 .
 1. A simple abstraction for reading the files on a DVD image
   (dvd_reader.h).
 2. A simple library for parsing the information (IFO) files
   (ifo_read.h/ifo_types.h).
 3. A simple library for parsing the navigation (NAV) packets
   (nav_read.h/nav_types.h).
 .
 libdvdread currently uses libdl to dynamically probe for libdvdcss at
 runtime, if found, libdvdcss will be used to decrypt sections of the
 DVD as necessary.

Package: libdvdread2-dev
Section: devel
Architecture: any
Depends: libdvdread2 (= ${Source-Version}), libc6-dev, ${misc:Depends}
Conflicts: libdvdread-dev
Description: Simple foundation for reading DVDs.
 To allow applications to access some of the more advanced features
 of the DVD format, libdvdread offers:
 .
 1. A simple abstraction for reading the files on a DVD image
   (dvd_reader.h).
 2. A simple library for parsing the information (IFO) files
   (ifo_read.h/ifo_types.h).
 3. A simple library for parsing the navigation (NAV) packets
   (nav_read.h/nav_types.h).
 .
 libdvdread currently uses libdl to dynamically probe for libdvdcss at
 runtime, if found, libdvdcss will be used to decrypt sections of the
 DVD as necessary.
 .
 libdvdread-dev contains static libraries, headers, and some documentation.
