=== debian/rules ===
#!/usr/bin/make -f

# debian/rules for libdvdread
# (c) 2001 Brian Russo, under GPL. 


DH_COMPAT=3
export DH_COMPAT
src_package=libdvdread

configure: patch-dist-stamp configure-stamp

patch-dist:
patch-dist-stamp:

	cp -a configure.in configure.in.dist
	cp -fa debian/configure.in configure.in
	cp -a configure configure.dist
	cp -a Makefile.in Makefile.in.dist
	cp -a dvdread/Makefile.in dvdread/Makefile.in.dist
	cp -a src/Makefile.in src/Makefile.in.dist
	cp -a config.h.in config.h.in.dist
	cp -a aclocal.m4 aclocal.m4.dist
	automake
	autoconf
	touch patch-dist-stamp

configure-stamp:
	dh_testdir
	./configure --prefix=/usr \
	--host=$(DEB_BUILD_GNU_TYPE) \
	--mandir=\$${prefix}/share/man \
	--infodir=\$${prefix}/share/info \
	--enable-shared \
	--enable-static \
	--with-pic

	touch configure-stamp

build: build-stamp

#build-stamp: patch-dist-stamp configure-stamp
build-stamp: configure-stamp
	dh_testdir
	$(MAKE)
	chmod +x debian/install-css.sh
	touch build-stamp

clean:
	dh_testdir
	dh_testroot
#	[ -e configure.in.dist ] && mv -f configure.in.dist configure.in || true
#	[ -e aclocal.m4.dist ] && mv -f aclocal.m4.dist aclocal.m4 || true
#	[ -e configure.dist ] && mv -f configure.dist configure || true
#	[ -e config.h.in.dist ] && mv -f config.h.in.dist config.h.in || true
#	[ -e Makefile.in.dist ] && mv -f Makefile.in.dist Makefile.in || true
#	[ -e dvdread/Makefile.in.dist ] && mv -f dvdread/Makefile.in.dist dvdread/Makefile.in || true
#	[ -e src/Makefile.in.dist ] && mv -f src/Makefile.in.dist src/Makefile.in || true
#	[ -e Makefile ] && $(MAKE) distclean || true

	-$(MAKE) distclean

	-test -r /usr/share/misc/config.sub && \
	  cp -f /usr/share/misc/config.sub config.sub
	-test -r /usr/share/misc/config.guess && \
	  cp -f /usr/share/misc/config.guess config.guess

	rm -f stamp-h.in
	rm -f configure-stamp build-stamp install-stamp patch-dist-stamp
	rm -f debian/*.debhelper
	rm -rf $(CURDIR)/debian/$(src_package)
	rm -f debian/files debian/substvars 
	dh_clean

install: install-stamp
install-stamp:
	dh_testdir
	dh_testroot
	install -m 755 -d $(CURDIR)/debian/$(src_package)/usr
	$(MAKE) install prefix=$(CURDIR)/debian/$(src_package)/usr
# libdvdread2
	install -d -m755 $(CURDIR)/debian/libdvdread2/usr/lib
	mv $(CURDIR)/debian/$(src_package)/usr/lib/libdvdread.so.2* \
		$(CURDIR)/debian/libdvdread2/usr/lib
# libdvdread2-dev
	install -d -m755 $(CURDIR)/debian/libdvdread2-dev/usr/lib/
	install -d -m755 $(CURDIR)/debian/libdvdread2-dev/usr/include/dvdread
	install -d -m755 $(CURDIR)/debian/libdvdread2-dev/usr/share/doc/libdvdread2-dev
	mv $(CURDIR)/debian/$(src_package)/usr/include/dvdread/* \
		$(CURDIR)/debian/libdvdread2-dev/usr/include/dvdread/
	mv $(CURDIR)/debian/$(src_package)/usr/lib/* \
		$(CURDIR)/debian/libdvdread2-dev/usr/lib/
# some header files are forgotten in the upstreams makefile
	cp $(CURDIR)/dvdread/*.h $(CURDIR)/debian/libdvdread2-dev/usr/include/dvdread/
# done
	touch install-stamp

binary-indep: build install
binary-arch: build install
	dh_testdir	
	dh_testroot 
	dh_installdebconf -a
	dh_installchangelogs -a
	dh_installdocs -a
	dh_installexamples debian/install-css.sh
	dh_strip -a
	dh_compress -a
	dh_fixperms -a
	dh_makeshlibs -a
	dh_installdeb -a
	dh_shlibdeps -a
	dh_gencontrol
	dh_md5sums
	dh_builddeb
binary: binary-indep binary-arch

.PHONY: build clean binary-indep binary-arch binary install configure
